function mesh = setElasticity( mesh, bulkmodulus, poissonsRatio )
    if (nargin>1) && (bulkmodulus >= 0)
        mesh.globalProps.bulkmodulus = bulkmodulus;
    end
    if (nargin>2) && (poissonsRatio >= 0)
        mesh.globalProps.poissonsRatio = poissonsRatio;
    end
    mesh = updateElasticity( mesh );
end
